import * as z from 'zod';
export const CommunicationAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    patientId: z.number(),
    userId: z.number(),
    channel: z.number(),
    direction: z.number(),
    status: z.number(),
    body: z.number(),
    callDuration: z.number(),
    twilioSid: z.number(),
    createdAt: z.number(),
    patient: z.number(),
    user: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    patientId: z.number().nullable(),
    userId: z.number().nullable(),
    callDuration: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    patientId: z.number().nullable(),
    userId: z.number().nullable(),
    callDuration: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    patientId: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    body: z.string().nullable(),
    callDuration: z.number().int().nullable(),
    twilioSid: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    patientId: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    body: z.string().nullable(),
    callDuration: z.number().int().nullable(),
    twilioSid: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional()});